Wt: Wt::Payment Namespace Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
Wt::Payment Namespace Reference

Namespace for the Payment. More...

## Classes
class | Address
| Contains address information. More...
class | Approval
| A class that represents the result of a payment. More...
class | Customer
| Contains customer information. More...
class | Money
| A value class which describes a monetary value. More...
class | Order
| Contains information of a sales order. More...
class | OrderItem
| Describes an item in an order. More...
class | PayPalExpressCheckout
| A paypal express checkout process. More...
class | PayPalService
| This is a PayPal service class. More...
class | Result
| A class that represents the result of a payment API call. More...

## Enumerations
enum class | PaymentAction { Sale , Authorization , Order }
| Enumeration for payment actions. More...
enum class | ApprovalOutcome { Denied = 0 , Interrupted = 1 , Accepted = 2 }
| Enumeration for a payment approval outcome. More...

## Functions
WT_API Money | operator+ (const Money &v1, const Money &v2)
| Adds monetary values.
WT_API Money | operator- (const Money &v1, const Money &v2)
| Substact monetary values.
WT_API Money | operator* (const Money &v1, double v2)
| Multiplies money.
WT_API Money | operator* (double v1, const Money &v2)
| Multiplies money.
WT_API Money | operator/ (const Money &v1, double v2)
| Divides v1 and v2.

## Detailed Description

Namespace for the Payment.

## Enumeration Type Documentation

## ◆ ApprovalOutcome

enum class Wt::Payment::ApprovalOutcome
| strong

Enumeration for a payment approval outcome.

Enumerator
Denied | The user denied the payment.
Interrupted | The payment process was interrupted.
Accepted | The user accepted the payment.

## ◆ PaymentAction

enum class Wt::Payment::PaymentAction
| strong

Enumeration for payment actions.

See more information at PayPal:

https://cms.paypal.com/us/cgi-bin/?cmd=_render-content&content_ID=developer/e_howto_api_nvp_r_SetExpressCheckout

See also
  setPaymentAction()

Enumerator
Sale | A Sale action.
Authorization | An Authorization action.
Order | An Order action.

## Function Documentation

## ◆ operator*()

WT_API Money Wt::Payment::operator* | ( | double | v1,
|  | const Money & | v2 )
| extern

Multiplies money.

You would wish you could just do that, wouldn't you ?

## ◆ operator+()

WT_API Money Wt::Payment::operator+ | ( | const Money & | v1,
|  | const Money & | v2 )
| extern

Adds monetary values.

Adding money of different currencies is not allowed.

## ◆ operator-()

WT_API Money Wt::Payment::operator- | ( | const Money & | v1,
|  | const Money & | v2 )
| extern

Substact monetary values.

Subtraction of money of different currencies is not allowed.